import request from '/@/utils/request';

export function inspectPointApi() {
    return {
        // v1
        getInspectPointList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckPoint/select/listPointByPage`,
                method: 'post',
                data: data
            });
        },
        // v1
        getInspectPointById: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckPoint/select/getPointById`,
                method: 'post',
                data: data
            });
        },
        // v1
        addInspectPoint: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckPoint/insert/savePoint`,
                method: 'post',
                data: data
            });
        },
        // v1
        modInspectPoint: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckPoint/update/updatePointById`,
                method: 'post',
                data: data
            });
        },
        // v1
        deleteInspectPoint: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckPoint/delete/deletePointById`,
                method: 'post',
                data: data
            });
        },
        // v1
        getAllInspectPointList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/safeCheckRegion/select/listRegionName`,
                method: 'get'
            });
        }
    };
}
